﻿/*************************************\
 *             Ereignisse            *
 *                                   *
 * Kapitel: Fortgeschrittene         *
 *           Grundlagen              *
 * Zuordnung: C#-Buch V2.0 4.6       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;

namespace CSV20.Ereignisse
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.CancelKeyPress += new ConsoleCancelEventHandler(AbbruchKommado);

            Console.WriteLine("Bitte drücken Sie Ctrl^C bzw. Strg^C ...");

            // auf Auslösung des Events warten
            Console.ReadKey();
        }

        private static void AbbruchKommado(object sender, ConsoleCancelEventArgs e)
        {
            Console.WriteLine("Event von Ctrl^C bzw. Strg^C erhalten!");
            
            // Konsole offen halten, sodass der User die Nachricht lesen kann
            Console.ReadKey();
        }
    }
}